%global dlrn_nvr os-apply-config-10.6.0-2.20210528113933.41d86e3
%global dlrn 1
%define upstream_version 10.6.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		os-apply-config
Version: 10.6.0
Release: 2.20210528113933.41d86e3%{?dist}.2
Summary:	Configure files from cloud metadata

License:	ASL 2.0
URL:		http://pypi.python.org/pypi/%{name}
Source0: os-apply-config-10.6.0-2.20210528113933.41d86e3.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=41d86e316ed0f0b9d5c20748b470bff5e6eab73d

BuildArch:	noarch

BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr

Requires:   python%{pyver}-pbr
Requires:   python%{pyver}-six >= 1.10.0

%if %{pyver} == 2
Requires:   pystache
Requires:   PyYAML
Requires:   python-anyjson
%else
Requires:   python%{pyver}-anyjson
Requires:   python%{pyver}-pystache
Requires:   python%{pyver}-PyYAML
%endif

%description
Tool to apply openstack heat metadata to files on the system.

%prep
%setup -q -n %{name}-%{upstream_version}

# Remove unnecessary shebang
sed -i '1{/^#!/d}' os_apply_config/tests/templates/etc/glance/script.conf
chmod -x os_apply_config/tests/templates/etc/glance/script.conf

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/templates

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-apply-config
%{_bindir}/os-config-applier
%{_libexecdir}/%{name}/templates
%{pyver_sitelib}/os_apply_config*

%changelog
* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.6.0-2.20210528113933.41d86e3.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.6.0-2.20210528113933.41d86e3.1
- Bump release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.0-2.20210528113933.41d86e3
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.0-1
- Update patches

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> 10.5.2-1
- Update patches
- Remove tripleo-multinode-container-minimal from zuul layout

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 10.5.2-1
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches
- [train] Switch to content provider jobs/templates

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.5.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Blacklist sphinx 2.1.0 (autodoc bug)

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url


